const bntAgregarActor   = document.querySelector("#agregar_actor")
const bntAgregarAbogado = document.querySelector("#agregar_abogador")
const listaActores      = document.querySelector(".lista_actores")
const listaDemandados   = document.querySelector(".lista_demandados")
const contenedor_partes = document.querySelector("#contenedor_partes")
const lista_sugerencias = document.querySelector(".lista_sugerencias")
var data = []
let target_inputtxt = null


function agregarParte(tipo) {
    // Campo oculto para ID de parte
    const parte_id = document.createElement("input");
    parte_id.setAttribute("type", "hidden");
    tipo == "actor" ? parte_id.setAttribute("name", "id_actores[]") : parte_id.setAttribute("name", "id_demandados[]")
    parte_id.setAttribute("value", "null");

    // Campo de texto para parte
    const parte       = document.createElement("input")
    parte.className   = tipo == "actor" ? "txt_actor" : "txt_demandado"
    parte.name        = tipo == "actor" ? "actores[]" : "demandados[]"
    parte.type        = "text"
    parte.placeholder = tipo == "actor" ? "Ingrese un actor" : "Ingrese un demandado"

    // Boton para agregar abogado
    const button_agregar_abogado     = document.createElement("input")
    button_agregar_abogado.name      = tipo == "actor" ? "ytX" : "ytX"
    button_agregar_abogado.className = "agregar_abogado"
    button_agregar_abogado.type      = "button"
    button_agregar_abogado.value     = "+ Abogado"

    // Boton para eliminar parte
    const button_eliminar_parte     = document.createElement("input")
    button_eliminar_parte.name      = "ytZ"
    button_eliminar_parte.className = tipo == "actor" ? "eliminar_actor" : "eliminar_demandado"
    button_eliminar_parte.type      = "button"
    button_eliminar_parte.value     = "×"

    const div_encabezado_item_parte = document.createElement("div")
    div_encabezado_item_parte.className = tipo == "actor" ? "encabezado_item_actor" : "encabezado_item_demandado"

    div_encabezado_item_parte.appendChild(parte_id)
    div_encabezado_item_parte.appendChild(parte)
    div_encabezado_item_parte.appendChild(button_agregar_abogado)
    div_encabezado_item_parte.appendChild(button_eliminar_parte)

    const lista_representantes = document.createElement("ul")
    lista_representantes.className = "lista_representantes"

    const item_parte = document.createElement("li")
    item_parte.appendChild(div_encabezado_item_parte)
    item_parte.appendChild(lista_representantes)

    tipo == "actor" ? listaActores.appendChild(item_parte) : listaDemandados.appendChild(item_parte)
}

function eliminarParte(target) {
    target.parentElement.parentElement.remove()
}

function agregarAbogado(target) {
    // Campo oculto para ID de representante
    const abogado_id = document.createElement("input");
    abogado_id.setAttribute("type", "hidden");
    abogado_id.setAttribute("name", "id_actores["+ target.parentElement.firstElementChild.value +"][]")
    abogado_id.setAttribute("value", "");

    // Campo de texto para representante
    const abogado       = document.createElement("input")
    abogado.className   = "txt_representante"
    abogado.name        = "representantes[]"
    abogado.type        = "text"
    abogado.placeholder = "Ingrese un abogado"

    // Lista desplegable para caracter del representante
    const selectListCaracter     = document.createElement("select");
    selectListCaracter.className = "select_caracter";
    selectListCaracter.name      = target.parentElement.firstElementChild.name +"[]"
    if(selectListCaracter.name=="id_actores[][]" || selectListCaracter.name=="id_demandados[][]") {
        alert("Antes de agregar un representante, debe seleccionar un actor/demandado")
        return false
    } 
    const option1                = document.createElement("option");
    option1.value                = 0;
    option1.text                 = "Representante";
    selectListCaracter.appendChild(option1);
    const option2                = document.createElement("option");
    option2.value                = 1;
    option2.text                 = "Apoderado";
    selectListCaracter.appendChild(option2);

    // Boton para eliminar representante
    const btnEliminarAbogado     = document.createElement("input")
    btnEliminarAbogado.name      = "ytW"
    btnEliminarAbogado.className = "eliminar_abogado"
    btnEliminarAbogado.type      = "button"
    btnEliminarAbogado.value     = "×"

    /* const btnEliminarAbogado      = document.createElement("button")
    btnEliminarAbogado.className  = "eliminar_abogado"
    btnEliminarAbogado.innerHTML  = "&times" */

    const listaAbogados = target.parentElement.nextElementSibling
    const item_abogado = document.createElement("li")
    listaAbogados.appendChild(item_abogado)
    
    item_abogado.appendChild(abogado_id)
    item_abogado.appendChild(abogado)
    item_abogado.appendChild(selectListCaracter)
    item_abogado.appendChild(btnEliminarAbogado)
}

function eliminarAbogado(target) {
    target.parentElement.remove()
}

window.addEventListener("click", function(e) {
  switch(e.target.className) {
      case 'agregar_actor':
        document.querySelector(".lista_sugerencias").style.display = "none";
        agregarParte("actor")
        break
      case 'eliminar_actor':
        document.querySelector(".lista_sugerencias").style.display = "none";
        eliminarParte(e.target)
        break

      case 'agregar_demandado':
        document.querySelector(".lista_sugerencias").style.display = "none";
        agregarParte("demandado")
        break
      case 'eliminar_demandado':
        document.querySelector(".lista_sugerencias").style.display = "none";
        eliminarParte(e.target)
        break
        
      case 'agregar_abogado':
        document.querySelector(".lista_sugerencias").style.display = "none";
        agregarAbogado(e.target)
        break
      case 'eliminar_abogado':
        document.querySelector(".lista_sugerencias").style.display = "none";
        eliminarAbogado(e.target)
        break

      case 'item_sugerencia':
        target_inputtxt.value = e.target.innerText
        var nodes = Array.from( lista_sugerencias.children )
        id_parte = data[nodes.indexOf(e.target)].idpersona
        
        if(target_inputtxt.className == "txt_actor") {
            target_inputtxt.previousElementSibling.value = "null"
            target_inputtxt.previousElementSibling.name  = "id_actores["+ id_parte +"]"
        } else if (target_inputtxt.className == "txt_demandado") {
            target_inputtxt.previousElementSibling.value = "null"
            target_inputtxt.previousElementSibling.name  = "id_demandados["+ id_parte +"]"
        } else if (target_inputtxt.className == "txt_representante") {
            target_inputtxt.previousElementSibling.value = data[nodes.indexOf(e.target)].matricula
            parte_name = target_inputtxt.parentElement.parentElement.previousElementSibling.firstElementChild.name
            target_inputtxt.previousElementSibling.name  = parte_name +"[]"
        }
        lista_sugerencias.style.display = "none"
        target_inputtxt.focus()
        break
    
      default:
        lista_sugerencias.style.display = "none"
        break
    }
})


window.addEventListener("keyup", function(e) {
    if (e.key === 'Tab') {
        document.querySelector(".lista_sugerencias").style.display = "none";
    }

  switch(e.target.className) {
    case 'txt_actor':
    case 'txt_demandado':
    case 'txt_representante':
    target_inputtxt = e.target
    let url = null
    if(e.target.value.length >= 2) {
        if(target_inputtxt.className == "txt_actor" || target_inputtxt.className == "txt_demandado") {
            url = URLGetPersonas+ e.target.value
        } else if(target_inputtxt.className = "txt_representante") {
            url = URLGetAbogados+ e.target.value
        }
        
        // Navegación con teclado (flechas y Enter)
        const l_sugerencias = document.querySelector("#lista_sugerencias");
        const items = l_sugerencias.querySelectorAll('li');

        if (items.length > 0) {
            if (e.key === 'ArrowDown') {
                currentIndex = (currentIndex + 1) % items.length;
                highlightSuggestion(items, currentIndex);
                e.stopPropagation()
                return; // Salir para no interferir con la solicitud de búsqueda
            } else if (e.key === 'ArrowUp') {
                currentIndex = (currentIndex - 1 + items.length) % items.length;
                highlightSuggestion(items, currentIndex);
                e.stopPropagation()
                return; // Salir para no interferir con la solicitud de búsqueda
            } else if (e.key === 'ArrowRight' && currentIndex >= 0) {
                target_inputtxt.value = items[currentIndex].innerText;
                var nodes = Array.from( l_sugerencias.children )
                id_parte = data[currentIndex].idpersona
                if(target_inputtxt.className == "txt_actor") {
                    target_inputtxt.previousElementSibling.value = "null"
                    target_inputtxt.previousElementSibling.name  = "id_actores["+ id_parte +"]"
                
                } else if (target_inputtxt.className == "txt_demandado") {
                    target_inputtxt.previousElementSibling.value = "null"
                    target_inputtxt.previousElementSibling.name  = "id_demandados["+ id_parte +"]"
                
                } else if (target_inputtxt.className == "txt_representante") {
                    target_inputtxt.previousElementSibling.value = data[currentIndex].matricula
                    parte_name = target_inputtxt.parentElement.parentElement.previousElementSibling.firstElementChild.name
                    target_inputtxt.previousElementSibling.name  = parte_name +"[]"
                }
                l_sugerencias.style.display = "none";
                l_sugerencias.innerHTML = ''; // Limpiar contenido
                currentIndex = -1; // Restablecer el índice
                e.stopPropagation()
                return; // Salir para evitar el debounce innecesario
            } else if (e.key === 'Escape') {
                l_sugerencias.style.display = "none";
                l_sugerencias.innerHTML = ''; // Limpiar contenido
                currentIndex = -1; // Restablecer el índice
                return; // Salir para evitar el debounce innecesario
            }
        }

        // Making our request 
        fetch(url, { method: 'GET' })
            .then(Result => Result.json())
            .then(respuesta => {
        
                // Printing our field of our response
                const l_sugerencias = document.querySelector(".lista_sugerencias")
                l_sugerencias.innerHTML = ''
                // Posicionar las sugerencias debajo del input
                let rect = e.target.getBoundingClientRect();
                l_sugerencias.style.position = "absolute";
                l_sugerencias.style.top      = rect.bottom + window.scrollY + "px";
                l_sugerencias.style.left     = rect.left + window.scrollX + "px";
                l_sugerencias.style.width    = rect.width + "px";

                if(respuesta.length>0) {
                    for (let i = 0; i < respuesta.length; i++) {
                    l_sugerencias.innerHTML += '<li class="item_sugerencia">' + respuesta[i].value + '</li>'
                    }
                    //l_sugerencias.style.zIndex = "10000";
                    l_sugerencias.style.display = "block"
                }
                data = respuesta.slice()
                currentIndex = -1;
            })
            .catch(errorMsg => { console.log(errorMsg); }); 
    } else {
        document.querySelector(".lista_sugerencias").style.display = "none";
    }
    break

    default:
        // code block
    }
})

// Función para resaltar sugerencia seleccionada con teclado
function highlightSuggestion(items, currentIndex) {
    items.forEach((item, index) => {
        if (index === currentIndex) {
            item.style.backgroundColor = '#f0f0f0'; // Resaltar elemento
            item.scrollIntoView();
        } else {
            item.style.backgroundColor = ''; // Remover resaltado de otros
        }
    });
}

window.addEventListener("resize", function(e) {
    // Posicionar las sugerencias debajo del input
    const l_sugerencias = document.querySelector(".lista_sugerencias")
    if(l_sugerencias.style.display == "block") {
        let rect = target_inputtxt.getBoundingClientRect();
        l_sugerencias.style.position = "absolute";
        l_sugerencias.style.top      = rect.bottom + window.scrollY + "px";
        l_sugerencias.style.left     = rect.left + window.scrollX + "px";
        l_sugerencias.style.width    = rect.width + "px";
    }
})

window.addEventListener("submit", function(e) {
    if(validarCampos()) {
        // Sin errores, enviar formulario.
        
    }else{
        // Error, cancelar envío de formulario.
        e.preventDefault();
        return false
    }
})

function validarCampos() {
    // Actores
    const arr_actores = Array.from( listaActores.children )
    if(!arr_actores.every(verificarParte)) {
        alert("Error de validación en actores.")
        return false
    }

    // Demandados
    const arr_demandados = Array.from( listaDemandados.children )
    if(!arr_demandados.every(verificarParte)) {
        alert("Error de validación en demandados.")
        return false
    }

    return true
}

function verificarParte(parte) {
    const nombre_oculto = parte.firstElementChild.firstElementChild.name

    if(nombre_oculto == "id_actores[]" || nombre_oculto == "id_demandados[]")
        // Error: Parte no tiene un ID asignado.
        return false
    else {
        // Verificar representantes
        var lista_representantes = parte.lastElementChild
        var arr_representantes = Array.from( lista_representantes.children )
        if(!arr_representantes.every(verificarRepresentante)) {
            alert("Error: La parte ("+ parte.firstElementChild.children[1].value +"), no tiene un representante asignado.")
            return false
        }
        
        return true
    }
}

function verificarRepresentante(representante) {
    const nombre_oculto = representante.firstElementChild.name

    if(nombre_oculto == "id_actores[null][]")
        // Error: Representante no tiene un ID asignado.
        return false
    else    
        return true
}
