<div class="wide form">

<?php $form = $this->beginWidget('GxActiveForm', array(
	'action' => Yii::app()->createUrl($this->route),
	'method' => 'get',
)); ?>

	<div class="row">
		<?php //echo $form->label($model, 'idexpediente'); ?>
		<?php //echo $form->textField($model, 'idexpediente'); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'idmateria'); ?>
		<?php echo $form->dropDownList($model, 'idmateria', GxHtml::listDataEx(Materia::model()->findAllAttributes(null, true)), array('prompt' => Yii::t('app', 'All'))); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'iddependencia'); ?>
		<?php echo $form->dropDownList($model, 'iddependencia', GxHtml::listDataEx(Dependencia::model()->findAllAttributes(null, true)), array('prompt' => Yii::t('app', 'All'))); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'expte_mesa_entrada'); ?>
		<?php echo $form->textField($model, 'expte_mesa_entrada', array('maxlength' => 15)); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'fecha_denuncia'); ?>
		<?php $form->widget('zii.widgets.jui.CJuiDatePicker', array(
			'model' => $model,
			'language' => 'es',
			'attribute' => 'fecha_denuncia',
			'value' => $model->fecha_denuncia,
			'options' => array(
				'showButtonPanel' => true,
				'changeYear' => true,
				'dateFormat' => 'yy-mm-dd',
				),
			));
; ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'fecha_registro'); ?>
		<?php $form->widget('zii.widgets.jui.CJuiDatePicker', array(
			'model' => $model,
			'language' => 'es',
			'attribute' => 'fecha_registro',
			'value' => $model->fecha_registro,
			'options' => array(
				'showButtonPanel' => true,
				'changeYear' => true,
				'dateFormat' => 'yy-mm-dd',
				),
			));
; ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'expte_juzgado'); ?>
		<?php echo $form->textField($model, 'expte_juzgado', array('maxlength' => 15)); ?>
	</div>

	<div class="row buttons">
		<?php echo GxHtml::submitButton(Yii::t('app', 'Search')); ?>
	</div>

<?php $this->endWidget(); ?>

</div><!-- search-form -->
