<?php

$this->breadcrumbs = array(
	$model->label(2) => array('index'),
	GxHtml::valueEx($model),
);

$this->menu=array(
	array('label'=>Yii::t('app', 'List') . ' ' . $model->label(2), 'url'=>array('index')),
	array('label'=>Yii::t('app', 'Create') . ' ' . $model->label(), 'url'=>array('create')),
	array('label'=>Yii::t('app', 'Update') . ' ' . $model->label(), 'url'=>array('update', 'id' => $model->idexpediente)),
	array('label'=>Yii::t('app', 'Delete') . ' ' . $model->label(), 'url'=>'#', 'linkOptions' => array('submit' => array('delete', 'id' => $model->idexpediente), 'confirm'=>'Are you sure you want to delete this item?')),
	array('label'=>Yii::t('app', 'Manage') . ' ' . $model->label(2), 'url'=>array('admin')),
);
?>

<h1><?php echo Yii::t('app', 'View') . ' ' . GxHtml::encode($model->label()) . ' ' . GxHtml::encode(GxHtml::valueEx($model)); ?></h1>

<?php $this->widget('zii.widgets.CDetailView', array(
	'data' => $model,
	'attributes' => array(
'idexpediente',
array(
			'name' => 'idmateria0',
			'type' => 'raw',
			'value' => $model->idmateria0 !== null ? GxHtml::link(GxHtml::encode(GxHtml::valueEx($model->idmateria0)), array('materia/view', 'id' => GxActiveRecord::extractPkValue($model->idmateria0, true))) : null,
			),
array(
			'name' => 'iddependencia0',
			'type' => 'raw',
			'value' => $model->iddependencia0 !== null ? GxHtml::link(GxHtml::encode(GxHtml::valueEx($model->iddependencia0)), array('dependencia/view', 'id' => GxActiveRecord::extractPkValue($model->iddependencia0, true))) : null,
			),
'expte_mesa_entrada',
'fecha_denuncia',
'fecha_registro',
'expte_juzgado',
	),
)); ?>

<!-- Partes y Representantes -->
<?php Yii::app()->getClientScript()->registerCssFile(Yii::app()->baseUrl.'/css/app.css'); ?>
<h2>PARTES:</h2>
<div class="encabezado_actor">
	<h2>Actor:</h2>
	<button id="agregar_actor">+</button>
</div>
<div class="encabezado_demandado">
	<h2>Demandado:</h2>
	<button id="agregar_demandado">+</button>
</div>

<!-- 
<h2><?php echo GxHtml::encode($model->getRelationLabel('partes')); ?></h2>
<?php
	echo GxHtml::openTag('ul');
	foreach($model->partes as $relatedModel) {
		echo GxHtml::openTag('li');
		echo GxHtml::link(GxHtml::encode(GxHtml::valueEx($relatedModel)), array('parte/view', 'id' => GxActiveRecord::extractPkValue($relatedModel, true)));
		echo GxHtml::closeTag('li');
	}
	echo GxHtml::closeTag('ul');
?>

<h2><?php echo GxHtml::encode($model->getRelationLabel('representantes')); ?></h2>
<?php
	echo GxHtml::openTag('ul');
	foreach($model->representantes as $relatedModel) {
		echo GxHtml::openTag('li');
		echo GxHtml::link(GxHtml::encode(GxHtml::valueEx($relatedModel)), array('representante/view', 'id' => GxActiveRecord::extractPkValue($relatedModel, true)));
		echo GxHtml::closeTag('li');
	}
	echo GxHtml::closeTag('ul');
?>
 -->

<h2><?php echo GxHtml::encode($model->getRelationLabel('movimientos')); ?></h2>
<?php
	echo GxHtml::openTag('ul');
	foreach($model->movimientos as $relatedModel) {
		echo GxHtml::openTag('li');
		echo GxHtml::link(GxHtml::encode(GxHtml::valueEx($relatedModel)), array('movimiento/view', 'id' => GxActiveRecord::extractPkValue($relatedModel, true)));
		echo GxHtml::closeTag('li');
	}
	echo GxHtml::closeTag('ul');
?>

