<?php

$this->breadcrumbs = array(
	$model->label(2) => array('index'),
	GxHtml::valueEx($model),
);

$this->menu=array(
	array('label'=>Yii::t('app', 'List') . ' ' . $model->label(2), 'url'=>array('index')),
	array('label'=>Yii::t('app', 'Create') . ' ' . $model->label(), 'url'=>array('create')),
	array('label'=>Yii::t('app', 'Update') . ' ' . $model->label(), 'url'=>array('update', 'id' => $model->idexpediente)),
	array('label'=>Yii::t('app', 'Delete') . ' ' . $model->label(), 'url'=>'#', 'linkOptions' => array('submit' => array('delete', 'id' => $model->idexpediente), 'confirm'=>'Are you sure you want to delete this item?')),
	array('label'=>Yii::t('app', 'Manage') . ' ' . $model->label(2), 'url'=>array('admin')),
);
?>

<h1><?php echo Yii::t('app', 'View') . ' ' . GxHtml::encode($model->label()) . ' ' . GxHtml::encode(GxHtml::valueEx($model)); ?></h1>

<?php $this->widget('zii.widgets.CDetailView', array(
	'data' => $model,
	'attributes' => array(
		'idexpediente',
		array(
				'name' => 'idmateria0',
				'type' => 'raw',
				'value' => $model->idmateria0 !== null ? GxHtml::link(GxHtml::encode(GxHtml::valueEx($model->idmateria0)), array('materia/view', 'id' => GxActiveRecord::extractPkValue($model->idmateria0, true))) : null,
				),
		array(
				'name' => 'iddependencia0',
				'type' => 'raw',
				'value' => $model->iddependencia0 !== null ? GxHtml::link(GxHtml::encode(GxHtml::valueEx($model->iddependencia0)), array('dependencia/view', 'id' => GxActiveRecord::extractPkValue($model->iddependencia0, true))) : null,
				),
		'expte_mesa_entrada',
		'fecha_denuncia',
		'fecha_registro',
		'expte_juzgado',
	),
)); ?>



<!-- Partes y Representantes -->
<?php
Yii::app()->clientScript->registerScript('URLs Servicios', "
// ----------------------------------------------------------------------------------------------------
URLGetPersonas = '".Yii::app()->createUrl('persona/getPersonas',array('term'=>''))."'
URLGetAbogados = '".Yii::app()->createUrl('abogado/getAbogados',array('term'=>''))."'
");

Yii::app()->getClientScript()->registerCssFile(Yii::app()->baseUrl.'/css/app.css');
Yii::app()->clientScript->registerScriptFile(Yii::app()->baseUrl.'/js/partes.js', CClientScript::POS_END);
?>

<div class="form">

<h2>PARTES:</h2>
<div id="contenedor_partes">
	<div class="contenedor_actor">
		<div class="encabezado_actor">
			<h2>Actor/es:</h2>
		</div>
		<ul class="lista_actores">
			<?php
				foreach($model->partes_actora as $actor) {
					echo GxHtml::openTag('li');
					
					echo GxHtml::encode('DNI.'.$actor->idpersona0->dni.' - '.
										strtoupper($actor->idpersona0->apellido).' '.
										ucwords(strtolower($actor->idpersona0->nombre)));
					
					echo GxHtml::openTag('ul', array('class'=>'lista_representantes'));
					foreach($actor->representantes as $representante) {
						echo GxHtml::openTag('li');
						echo GxHtml::encode('MP.'.$representante->matricula0->matricula.' - '.
											strtoupper($representante->matricula0->apellido).' '.
											$representante->matricula0->nombre);
						echo " ( ". $representante->caracter." )";
						echo GxHtml::closeTag('li');
					}
					echo GxHtml::closeTag('ul');

					echo GxHtml::closeTag('li');
				}
			?>
		</ul>
	</div>

	<div class="contenedor_demandado">
		<div class="encabezado_demandado">
			<h2>Demandado/s:</h2>
		</div>
		<ul class="lista_demandados">
		<?php
				foreach($model->partes_demandada as $demandado) {
					echo GxHtml::openTag('li');
					echo GxHtml::encode('DNI.'.$demandado->idpersona0->dni.' - '.
										strtoupper($demandado->idpersona0->apellido).' '.
										ucwords(strtolower($demandado->idpersona0->nombre)));
					
					echo GxHtml::openTag('ul', array('class'=>'lista_representantes'));
					foreach($demandado->representantes as $representante) {
						echo GxHtml::openTag('li');
						echo GxHtml::encode('MP.'.$representante->matricula0->matricula.' - '.
											strtoupper($representante->matricula0->apellido).' '.
											$representante->matricula0->nombre);
						echo " ( ". $representante->caracter." )";
						echo GxHtml::closeTag('li');
					}
					echo GxHtml::closeTag('ul');

					echo GxHtml::closeTag('li');
				}
			?>
		</ul>
	</div>
<?php //print_r($_POST); ?>
</div>
