<div class="form">


<?php $form = $this->beginWidget('GxActiveForm', array(
	'id' => 'incidencia-form',
	'enableAjaxValidation' => false,
));
?>

	<p class="note">
		<?php echo Yii::t('app', 'Fields with'); ?> <span class="required">*</span> <?php echo Yii::t('app', 'are required'); ?>.
	</p>

	<?php echo $form->errorSummary($model); ?>

		<div class="row">
			<?php echo $form->labelEx($model,'idexpediente'); ?>
			<?php
				$this->widget('zii.widgets.jui.CJuiAutoComplete',array(
					'name'=>'idexpediente_aux',
					'value' => $model->expte_padre,
					'sourceUrl'=>Yii::app()->createUrl('Expediente/getExpediente'),
					'options'=>array(
						'minLength'	=> '2',
						'type'		=> 'get',
						'select'	=> 'js:function(event, ui) {
							$("#Incidencia_idexpediente").val(ui.item.idexpediente);
						}'
					),
				));
			?>
			<?php echo $form->textField($model,'idexpediente', $htmlOptions=array('style' => 'display: none;')); ?>
			<?php echo $form->error($model,'idexpediente'); ?>
		</div><!-- row -->

		<div class="row">
			<?php echo $form->labelEx($model,'id_exp_hijo'); ?>
			<?php
				$this->widget('zii.widgets.jui.CJuiAutoComplete',array(
					'name'=>'id_exp_hijo_aux',
					'value' => $model->expte_hijo,
					'sourceUrl'=>Yii::app()->createUrl('Expediente/getExpediente'),
					'options'=>array(
						'minLength'	=> '2',
						'type'		=> 'get',
						'select'	=> 'js:function(event, ui) {
							$("#Incidencia_id_exp_hijo").val(ui.item.idexpediente);
						}'
					),
				));
			?>
			<?php echo $form->textField($model,'id_exp_hijo', $htmlOptions=array('style' => 'display: none;')); ?>
			<?php echo $form->error($model,'id_exp_hijo'); ?>
		</div><!-- row -->

		<div class="row">
			<?php echo $form->labelEx($model,'id_tipo_incidencia'); ?>
			<?php echo $form->dropDownList($model, 'id_tipo_incidencia', GxHtml::listDataEx(TipoIncidencia::model()->findAllAttributes(null, true))); ?>
			<?php echo $form->error($model,'id_tipo_incidencia'); ?>
		</div><!-- row -->

<?php
echo GxHtml::submitButton(Yii::t('app', 'Save'));
$this->endWidget();
?>
</div><!-- form -->