<div class="form">


    <?php $form = $this->beginWidget('GxActiveForm', array(
	'id' => 'movimiento-form',
	'enableAjaxValidation' => false,
));
?>

    <p class="note">
        <?php echo Yii::t('app', 'Fields with'); ?> <span class="required">*</span>
        <?php echo Yii::t('app', 'are required'); ?>.
    </p>

    <?php echo $form->errorSummary($model); ?>

    <?php

		if ($model->isNewRecord) { ?>

        
    <div class="row">
		<?php echo $form->labelEx($model,'idexpediente'); ?>
		<?php
			$this->widget('zii.widgets.jui.CJuiAutoComplete',array(
				'name'=>'idexpediente_aux',
				'sourceUrl'=>Yii::app()->createUrl('Expediente/getExpediente'),
				'options'=>array(
					'minLength'	=> '2',
					'type'		=> 'get',
					'select'	=> 'js:function(event, ui) {
						$("#Movimiento_idexpediente").val(ui.item.idexpediente);
					}'
				),
			));
		?>

		<?php echo $form->textField($model,'idexpediente', $htmlOptions=array('style' => 'display: none;')); ?>
		<?php echo $form->error($model,'idexpediente'); ?>
	</div><!-- row -->

    <div class="row">
        <?php echo $form->labelEx($model,'id_tipo_movimiento'); ?>
        <?php echo $form->dropDownList($model, 'id_tipo_movimiento', GxHtml::listDataEx(TipoMovimiento::model()->findAllAttributes(null, true))); ?>
        <?php echo $form->error($model,'id_tipo_movimiento'); ?>
    </div><!-- row -->
    <div class="row">
        <?php echo $form->labelEx($model,'idorigen'); ?>
        <?php echo $form->dropDownList($model, 'idorigen', GxHtml::listDataEx(Dependencia::model()->findAllAttributes(null, true))); ?>
        <?php echo $form->error($model,'idorigen'); ?>
    </div><!-- row -->
    <div class="row">
        <?php echo $form->labelEx($model,'iddestino'); ?>
        <?php echo $form->dropDownList($model, 'iddestino', GxHtml::listDataEx(Dependencia::model()->findAllAttributes(null, true))); ?>
        <?php echo $form->error($model,'iddestino'); ?>
    </div><!-- row -->
<!--     <div class="row">
        <?php echo $form->labelEx($model,'fecha'); ?>
        <?php $form->widget('zii.widgets.jui.CJuiDatePicker', array(
				'model' => $model,
				'attribute' => 'fecha',
				'value' => $model->fecha,
				'options' => array(
					'showButtonPanel' => true,
					'changeYear' => true,
					'dateFormat' => 'yy-mm-dd',
					),
				));
	    ?>
        <?php echo $form->error($model,'fecha'); ?>
    </div>
 -->    
    <div class="row">
        <?php echo $form->labelEx($model,'observacion'); ?>
        <?php echo $form->textField($model, 'observacion', array('maxlength' => 300)); ?>
        <?php echo $form->error($model,'observacion'); ?>
    </div><!-- row -->
<!--     <div class="row">
        <?php echo $form->labelEx($model,'operador'); ?>
        <?php echo $form->textField($model, 'operador', array('maxlength' => 15)); ?>
        <?php echo $form->error($model,'operador'); ?>
    </div>
 -->
    <div class="row">
        
		<?php 
		// Obtener los valores del enum
		$enumValues = $model->getAttributeLabel('estado');
		// Filtrar solo el valor 'enviado'
		$filteredValues = array('enviado' => 'Enviado');
		
		echo $form->dropDownList($model, 'estado', $filteredValues, array('empty' => 'Seleccione un estado')); 
		?>

        <?php echo $form->error($model,'estado'); ?>
    </div><!-- row -->


    <?php } else {  ?>

    <div class="row">
        <?php echo $form->labelEx($model,'estado'); ?>
        <?php 
		// Obtener los valores del enum
		$enumValues = $model->getAttributeLabel('estado');
		// Filtrar solo el valor 'enviado'
		$filteredValues = array('aceptado' => 'Aceptado');
		
		echo $form->dropDownList($model, 'estado', $filteredValues, array('empty' => 'Seleccione un estado')); 
		?>
        <?php echo $form->error($model,'estado'); ?>
    </div><!-- row -->



    <?php } ?>



    <?php
echo GxHtml::submitButton(Yii::t('app', 'Save'));
$this->endWidget();
?>
</div><!-- form -->