<?php

$this->breadcrumbs = array(
	$model->label(2) => array('index'),
	Yii::t('app', 'Manage'),
);

$this->menu = array(
		array('label'=>Yii::t('app', 'List') . ' ' . $model->label(2), 'url'=>array('index')),
		array('label'=>Yii::t('app', 'Create') . ' ' . $model->label(), 'url'=>array('create')),
	);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$.fn.yiiGridView.update('parte-grid', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<h1><?php echo Yii::t('app', 'Manage') . ' ' . GxHtml::encode($model->label(2)); ?></h1>

<p>
You may optionally enter a comparison operator (&lt;, &lt;=, &gt;, &gt;=, &lt;&gt; or =) at the beginning of each of your search values to specify how the comparison should be done.
</p>

<?php /*
<?php echo GxHtml::link(Yii::t('app', 'Advanced Search'), '#', array('class' => 'search-button')); ?>
<div class="search-form">
<?php $this->renderPartial('_search', array(
	'model' => $model,
)); ?>
</div><!-- search-form -->
*/ ?>

<?php $this->widget('zii.widgets.grid.CGridView', array(
	'id' => 'parte-grid',
	'dataProvider' => $model->search(),
	'filter' => $model,
	'columns' => array(
		//'idparte',
		array('name'=>'nro_exp' ,'value'=>'$data->idexpediente0->expte_mesa_entrada'),
		array('name'=>'dni'		,'value'=>'$data->idpersona0->dni'),
		array('name'=>'apellido','value'=>'$data->idpersona0->apellido'),
		array('name'=>'nombre'	,'value'=>'$data->idpersona0->nombre'),
	
		/* array(
				'name'=>'idexpediente',
				'value'=>'GxHtml::valueEx($data->idexpediente0)',
				'filter'=>GxHtml::listDataEx(Expediente::model()->findAllAttributes(null, true)),
				),
		array(
				'name'=>'idpersona',
				'value'=>'GxHtml::valueEx($data->idpersona0)',
				'filter'=>GxHtml::listDataEx(Persona::model()->findAllAttributes(null, true)),
				), */
		'caracter',
		array(
			'class' => 'CButtonColumn',
		),
	),
)); ?>