<div class="form">


<?php $form = $this->beginWidget('GxActiveForm', array(
	'id' => 'representante-form',
	'enableAjaxValidation' => false,
));
?>

	<p class="note">
		<?php echo Yii::t('app', 'Fields with'); ?> <span class="required">*</span> <?php echo Yii::t('app', 'are required'); ?>.
	</p>

	<?php echo $form->errorSummary($model); ?>

		<div class="row">
		<?php //echo $form->labelEx($model,'matricula'); ?>
		<?php //echo $form->dropDownList($model, 'matricula', GxHtml::listDataEx(Abogado::model()->findAllAttributes(null, true))); ?>
		<?php //echo $form->error($model,'matricula'); ?>
		</div><!-- row -->

		<div class="row">
			<?php echo $form->labelEx($model,'matricula'); ?>
			<?php
				$this->widget('zii.widgets.jui.CJuiAutoComplete',array(
					'name'=>'matricula_aux',
					'value' => $model->matricula ? 'MP.'.$model->matricula.' - '.$model->matricula0->apellido.' '.$model->matricula0->nombre : '',
					'sourceUrl'=>Yii::app()->createUrl('Abogado/getAbogados'),
					'options'=>array(
						'minLength'	=> '2',
						'type'		=> 'get',
						'select'	=> 'js:function(event, ui) {
							$("#Representante_matricula").val(ui.item.matricula);
						}'
					),
				));
			?>
			<?php echo $form->textField($model,'matricula', $htmlOptions=array('style' => 'display: none;')); ?>
			<?php echo $form->error($model,'matricula'); ?>
		</div><!-- row -->

		<div class="row">
		<?php echo $form->labelEx($model,'caracter'); ?>
		<?php echo $form->enumDropDownList($model, 'caracter'); ?>
		<?php echo $form->error($model,'caracter'); ?>
		</div><!-- row -->
		
		<div class="row">
		<?php //echo $form->labelEx($model,'idparte'); ?>
		<?php //echo $form->dropDownList($model, 'idparte', GxHtml::listDataEx(Parte::model()->findAllAttributes(null, true))); ?>
		<?php //echo $form->error($model,'idparte'); ?>
		</div><!-- row -->

		<div class="row">
			<?php echo $form->labelEx($model,'idparte'); ?>
			<?php
				$this->widget('zii.widgets.jui.CJuiAutoComplete',array(
					'name'=>'idparte_aux',
					'value' => $model->idparte ? 'Exp.'.$model->idparte0->idexpediente0->expte_mesa_entrada.' - '.$model->idparte0->idpersona0->apellido.' '.$model->idparte0->idpersona0->nombre : '',
					'sourceUrl'=>Yii::app()->createUrl('Parte/getPartes'),
					'options'=>array(
						'minLength'	=> '2',
						'type'		=> 'get',
						'select'	=> 'js:function(event, ui) {
							$("#Representante_idparte").val(ui.item.idparte);
						}'
					),
				));
			?>
			<?php echo $form->textField($model,'idparte', $htmlOptions=array('style' => 'display: none;')); ?>
			<?php echo $form->error($model,'idparte'); ?>
		</div><!-- row -->


<?php
echo GxHtml::submitButton(Yii::t('app', 'Save'));
$this->endWidget();
?>
</div><!-- form -->