<div class="form">


<?php $form = $this->beginWidget('GxActiveForm', array(
	'id' => 'expediente-form',
	'enableAjaxValidation' => false,
));
?>

	<p class="note">
		<?php echo Yii::t('app', 'Fields with'); ?> <span class="required">*</span> <?php echo Yii::t('app', 'are required'); ?>.
	</p>

	<?php echo $form->errorSummary($model); ?>

		<div class="row">
		<?php echo $form->labelEx($model,'expte_mesa_entrada'); ?>
		<?php echo $form->textField($model, 'expte_mesa_entrada', array('maxlength' => 15)); ?>
		<?php echo $form->error($model,'expte_mesa_entrada'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'fecha_denuncia'); ?>
		
		<?php Yii::import('application.extensions.CJuiDateTimePicker.CJuiDateTimePicker');
			$this->widget('CJuiDateTimePicker',array(
				'model'		=> $model, //Model object
				'attribute'	=> 'fecha_denuncia', //attribute name
				'mode'		=> 'datetime', //use "time","date" or "datetime" (default)
				'value' 	=> $model->fecha_denuncia,
				'options'	=> array('dateFormat' => 'yy-mm-dd'), // jquery plugin options
				'language' 	=> 'es'
			));
		?>
		<?php echo $form->error($model,'fecha_denuncia'); ?>
		</div><!-- row -->
		
		<div class="row">
		<?php echo $form->labelEx($model,'idmateria'); ?>
		<?php echo $form->dropDownList($model, 'idmateria', GxHtml::listDataEx(Materia::model()->findAllAttributes(null, true))); ?>
		<?php echo $form->error($model,'idmateria'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'iddependencia'); ?>
		<?php echo $form->dropDownList($model, 'iddependencia', GxHtml::listDataEx(Dependencia::model()->findAllAttributes(null, true))); ?>
		<?php echo $form->error($model,'iddependencia'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'expte_juzgado'); ?>
		<?php echo $form->textField($model, 'expte_juzgado', array('maxlength' => 15)); ?>
		<?php echo $form->error($model,'expte_juzgado'); ?>
		</div><!-- row -->

 		<label><?php //echo GxHtml::encode($model->getRelationLabel('incidencias')); ?></label>
		<?php //echo $form->checkBoxList($model, 'incidencias', GxHtml::encodeEx(GxHtml::listDataEx(Incidencia::model()->findAllAttributes(null, true)), false, true)); ?>
		<label><?php //echo GxHtml::encode($model->getRelationLabel('incidencias1')); ?></label>
		<?php //echo $form->checkBoxList($model, 'incidencias1', GxHtml::encodeEx(GxHtml::listDataEx(Incidencia::model()->findAllAttributes(null, true)), false, true)); ?>
		<label><?php //echo GxHtml::encode($model->getRelationLabel('movimientos')); ?></label>
		<?php //echo $form->checkBoxList($model, 'movimientos', GxHtml::encodeEx(GxHtml::listDataEx(Movimiento::model()->findAllAttributes(null, true)), false, true)); ?>
		<label><?php //echo GxHtml::encode($model->getRelationLabel('partes')); ?></label>
		<?php //echo $form->checkBoxList($model, 'partes', GxHtml::encodeEx(GxHtml::listDataEx(Parte::model()->findAllAttributes(null, true)), false, true)); ?>
		<label><?php //echo GxHtml::encode($model->getRelationLabel('representantes')); ?></label>
		<?php //echo $form->checkBoxList($model, 'representantes', GxHtml::encodeEx(GxHtml::listDataEx(Representante::model()->findAllAttributes(null, true)), false, true)); ?>

<?php
echo GxHtml::submitButton(Yii::t('app', 'Save'));
$this->endWidget();
?>
</div><!-- form -->