<div class="form">


<?php $form = $this->beginWidget('GxActiveForm', array(
	'id' => 'parte-form',
	'enableAjaxValidation' => false,
));
?>

	<p class="note">
		<?php echo Yii::t('app', 'Fields with'); ?> <span class="required">*</span> <?php echo Yii::t('app', 'are required'); ?>.
	</p>

	<?php echo $form->errorSummary($model); ?>

		<div class="row">
			<?php echo $form->labelEx($model,'idexpediente'); ?>
			<?php
				$this->widget('zii.widgets.jui.CJuiAutoComplete',array(
					'name'=>'idexpediente_aux',
					'value' => $model->nro_exp,
					'sourceUrl'=>Yii::app()->createUrl('Expediente/getExpediente'),
					'options'=>array(
						'minLength'	=> '2',
						'type'		=> 'get',
						'select'	=> 'js:function(event, ui) {
							$("#Parte_idexpediente").val(ui.item.idexpediente);
						}'
					),
				));
			?>
			<?php echo $form->textField($model,'idexpediente', $htmlOptions=array('style' => 'display: none;')); ?>
			<?php echo $form->error($model,'idexpediente'); ?>
		</div><!-- row -->

		<div class="row">
			<?php echo $form->labelEx($model,'idpersona'); ?>
			<?php
				$this->widget('zii.widgets.jui.CJuiAutoComplete',array(
					'name'=>'idpersona_aux',
					'value' => $model->idpersona ? 'DNI.'.$model->dni.' - '.$model->apellido.' '.$model->nombre : '',
					'sourceUrl'=>Yii::app()->createUrl('Persona/getPersonas'),
					'options'=>array(
						'minLength'	=> '2',
						'type'		=> 'get',
						'select'	=> 'js:function(event, ui) {
							$("#Parte_idpersona").val(ui.item.idpersona);
						}'
					),
				));
			?>
			<?php echo $form->textField($model,'idpersona', $htmlOptions=array('style' => 'display: none;')); ?>
			<?php echo $form->error($model,'idpersona'); ?>
		</div><!-- row -->

		<div class="row">
		<?php echo $form->labelEx($model,'caracter'); ?>
		<?php echo $form->enumDropDownList($model, 'caracter'); ?>
		<?php echo $form->error($model,'caracter'); ?>
		</div><!-- row -->


<?php
echo GxHtml::submitButton(Yii::t('app', 'Save'));
$this->endWidget();
?>
</div><!-- form -->