<?php

$this->breadcrumbs = array(
	$model->label(2) => array('index'),
	Yii::t('app', 'Manage'),
);

$this->menu = array(
		array('label'=>Yii::t('app', 'List') . ' ' . $model->label(2), 'url'=>array('index')),
		array('label'=>Yii::t('app', 'Create') . ' ' . $model->label(), 'url'=>array('create')),
	);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$.fn.yiiGridView.update('representante-grid', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<h1><?php echo Yii::t('app', 'Manage') . ' ' . GxHtml::encode($model->label(2)); ?></h1>

<p>
You may optionally enter a comparison operator (&lt;, &lt;=, &gt;, &gt;=, &lt;&gt; or =) at the beginning of each of your search values to specify how the comparison should be done.
</p>

<?php /*
<?php echo GxHtml::link(Yii::t('app', 'Advanced Search'), '#', array('class' => 'search-button')); ?>
<div class="search-form">
<?php $this->renderPartial('_search', array(
	'model' => $model,
)); ?>
</div><!-- search-form -->
*/ ?>

<?php $this->widget('zii.widgets.grid.CGridView', array(
	'id' => 'representante-grid',
	'dataProvider' => $model->search(),
	'filter' => $model,
	'columns' => array(
		//'idrepresentante',
		array('name'=>'nro_exp'		 ,'value'=>'$data->idparte0->idexpediente0->expte_mesa_entrada'),
		array('name'=>'matricula_rep','value'=>'$data->matricula'),
		array('name'=>'apellido_rep' ,'value'=>'$data->matricula0->apellido'),
		array('name'=>'nombre_rep'	 ,'value'=>'$data->matricula0->nombre'),
		array('name'=>'caracter_rep' ,'value'=>'$data->caracter'),
		array('name'=>'dni'			 ,'value'=>'$data->idparte0->idpersona0->dni'),
		array('name'=>'apellido_pers','value'=>'$data->idparte0->idpersona0->apellido'),
		array('name'=>'nombre_pers'	 ,'value'=>'$data->idparte0->idpersona0->nombre'),

		/*array(
				'name'=>'idparte',
				'value'=>'GxHtml::valueEx($data->idparte0)',
				'filter'=>GxHtml::listDataEx(Parte::model()->findAllAttributes(null, true)),
				),
		array(
				'name'=>'matricula',
				'value'=>'GxHtml::valueEx($data->matricula0)',
				'filter'=>GxHtml::listDataEx(Abogado::model()->findAllAttributes(null, true)),
				),
		'caracter',*/

		array(
			'class' => 'CButtonColumn',
		),
	),
)); ?>